import {HttpErrorOptions} from './types'
import { SlackChannelName } from './constants'

declare class OperationalError extends Error {
    constructor(message: string, data?: string, options?: {includeBody: boolean})
}

declare class NonOperationalError extends Error {
    constructor(message: string, data?: string, slackChannel?: SlackChannelName, options?: {includeBody: boolean})
}

declare class HttpError extends OperationalError {
    constructor(message: string, statusCode: number, data?: string, options?: HttpErrorOptions)
}

export {
    OperationalError,
    NonOperationalError,
    HttpError
}