import * as errorTypes from './errorTypes';
import {logAndNotify} from './handler';
import {expressHandleErrors, expressLogErrors} from './middleware';
import { SlackChannelName} from './constants'

type ErrorLevels = 'common' | 'critical' | 'fatal'

/**Slack Error Options */
type SlackErrorOptions = {channel: SlackChannelName, send: boolean}

/**Http Error Options */
type HttpErrorOptions = {includeBody: boolean, slack: SlackErrorOptions}

declare namespace slackChannels {
    let DEV: SlackChannelName
    let CRITICAL: SlackChannelName
    let MOBILE: SlackChannelName
    let NODEJOBS: SlackChannelName
    let SQL: SlackChannelName
    let WARNING: SlackChannelName
    let WEB: SlackChannelName
    let WORKFLOW: SlackChannelName
    let MOBILECOMM: SlackChannelName
}

export {
    ErrorLevels,
    SlackErrorOptions,
    HttpErrorOptions,
    errorTypes,
    logAndNotify,
    expressHandleErrors,
    expressLogErrors,
    slackChannels
}